--Suppression des col dont le nom est blanc ou _L
select distinct 'alter table '+TABLE_NAME+' drop COLUMN [' +COLUMN_NAME+']' as req 
into #tmp    
from [<OXADWDB_DATABASE>].INFORMATION_SCHEMA.COLUMNS where COLUMN_NAME=' ' or COLUMN_NAME=' _L'
DECLARE @Sql NVARCHAR(MAX);
DECLARE Cur CURSOR LOCAL FAST_FORWARD FOR 
    (SELECT req      FROM #tmp  )

OPEN Cur
FETCH NEXT FROM Cur INTO @Sql

WHILE (@@FETCH_STATUS = 0)
BEGIN
    --Exec sp_executesql @Sql
	print @Sql
    EXEC ( @Sql )
    FETCH NEXT FROM Cur INTO @Sql 
END
CLOSE Cur
DEALLOCATE Cur;  